Edge node management service 61 matching interfaces
Get a summary of a node's configuration findEnabledNodeConfigInfo
POST /NodeService/findEnabledNodeConfigInfo
Definition file service_node.proto
Available roles Administrator Original definition Request message Response message Original definition Copy coderpc findEnabledNodeConfigInfo ( FindEnabledNodeConfigInfoRequest ) returns ( FindEnabledNodeConfigInfoResponse );
Request message FindEnabledNodeConfigInfoRequestGet a summary of a node's configuration
Request message · Field definitions Copy codemessage FindEnabledNodeConfigInfoRequest {
int64 nodeId = 1 ;
}
Response message FindEnabledNodeConfigInfoResponse Response message · Field definitions Copy codemessage FindEnabledNodeConfigInfoResponse {
bool hasDNSInfo = 1 ; // Whether DNS settings exist
bool hasCacheInfo = 2 ; // Whether cache settings exist
bool hasThresholds = 3 ; // Whether threshold settings exist
bool hasSSH = 4 ; // Whether SSH settings exist
bool hasSystemSettings = 5 ; // Whether system settings exist
bool hasDDoSProtection = 6 ; // Whether DDoS protection settings exist
bool hasScheduleSettings = 7 ; // Whether scheduling settings exist
}